# rsstube

Some website provide RSS/Atom feeds. rsstube tries to find the URLs for those feeds.

This is a work-in-progress. It's missing some features I want like proxy support and a way to deal with Cloudflare sites.

That said, if you download this code and run it, it should work for the features and sites that have been implemented.


## Installing

rsstube is written in Python, an interpreted language. There's no need to compile it.

### Dependencies

- python3
- python3-pycurl

### Sample Installation

`git clone https://negativezero.link/code/lost/rsstube.git`

`sudo ln -s "$(pwd)/rsstube/rsstube" /usr/local/bin/rsstube`

### Updating

If you installed with git, just `cd` into the directory and `git pull`.


## Usage

`rsstube <link>`

There are some options, but most of them don't work yet.


## Scope

rsstube is not a tool for generating new feeds where they don't already exist. It is a tool for locating official feed URLs provided by the site.

I will not register an API key with any service just to get a feed. rsstube only gets feeds which are publicly available.

Site-specific extractors should only be added to rsstube when the site in question requires special logic. If the logic is generally applicable to many sites, it should go in the generic extractor.


## License

GPLv3 or later
